<?php
session_start();
require_once ("../conexion.php");
$pen_id=$_GET['pen_id'];
$ubi_id=$_GET['ubi_id'];

$registros1=mysqli_query($con,"SELECT * from pedido_detalle pd, articulos a where pd.pedido_pen_id='$pen_id' and a.ubicacion_ubi_id='$ubi_id' and pd.pend_art_id=a.art_id ") or die(mysqli_error($con));
while ($ped1=mysqli_fetch_array($registros1))
{
    $pend_art_id=$ped1['pend_art_id'];
    $pend_id=$ped1["pend_id"];

    $registros2=mysqli_query($con,"UPDATE pedido_detalle Set pend_cocina='si' Where pedido_pen_id='$pen_id' and pend_id='$pend_id' and pend_art_id='$pend_art_id' ") or die(mysqli_error($con));
}

$registros3=mysqli_query($con,"SELECT * from pedido_detalle_combo pdc, combos c where pdc.pedido_pen_id='$pen_id' and c.com_ubicacion='$ubi_id' and pdc.combo_id=c.com_id ") or die(mysqli_error($con));
while ($ped3=mysqli_fetch_array($registros3))
{
    $com_id=$ped3['combo_id'];
    $pedcom_id=$ped3["pedcom_id"];

    $registroscombo3=mysqli_query($con,"UPDATE pedido_detalle_combo pdc, combos c Set pend_cocina='si' Where pdc.pedido_pen_id='$pen_id' and pdc.pedcom_id='$pedcom_id' and pdc.combo_id='$com_id' ") or die(mysqli_error($con));
}

$registros4=mysqli_query($con,"SELECT count(*) as contador1 from pedido_detalle where pedido_pen_id='$pen_id' and pend_cocina='no' ") or die(mysqli_error($con));
$ped4=mysqli_fetch_array($registros4);
$contador1=$ped4['contador1'];  

$registros5=mysqli_query($con,"SELECT count(*) as contador2 from pedido_detalle_combo where pedido_pen_id='$pen_id' and pend_cocina='no'") or die(mysqli_error($con));
$ped5=mysqli_fetch_array($registros5);
$contador2=$ped5['contador2'];  

$suma=$contador1+$contador2;
if ($suma>0) 
{

}
else 
{       
    $registros5=mysqli_query($con,"UPDATE pedido Set pen_estado='Espachado' Where pen_id='$pen_id'") or die(mysqli_error($con));
}
?>